summaryrefslogtreecommitdiff
path: root/nfs/scripts/image_deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'nfs/scripts/image_deploy.sh')
-rw-r--r--nfs/scripts/image_deploy.sh33
1 files changed, 32 insertions, 1 deletions
diff --git a/nfs/scripts/image_deploy.sh b/nfs/scripts/image_deploy.sh
index 4efd715..e23fd70 100644
--- a/nfs/scripts/image_deploy.sh
+++ b/nfs/scripts/image_deploy.sh
@@ -1,4 +1,35 @@
#!/bin/busybox sh
# Should only started from autorun.sh (define some helper functions and variables)
-echo_color white red ">>> Image deploy not yet ready"
+# Prepare deploy
+year=$(date +%Y)
+monthday=$(date +%m-%d)
+
+# define what master image should be used for the current client machine
+#TODO : have a better place for that (CMDB...)
+case "$hostname" in
+ I5480) mastername=pctp-master ;;
+ *) mastername=I4920 ;;
+# *) echo_color white red ">>> " "No master for $hostname (see image_deploy.sh)" ; exit 1 ;;
+esac
+
+# Determine which image take
+#TODO : have a better place for that (CMDB...)
+ls -ld "$imagedir/$year/$mastername/"
+
+indir=$(find "$imagedir/$year/$mastername/" -maxdepth 1 -type d -regex '.*/\d\d-\d\d' | sort -rn | head -n1)
+# Put a bad value to help the user to see where the image should be available
+indir=${indir:-$imagedir/$year/$mastername/XX-XX}
+
+# Check and print if the deploy script is defined for the current master machine
+scriptavailability_test image_deploy_${mastername}.sh || exit $?
+diravailability_test $indir || exit $?
+
+# Print all variables and start the deploy using the customized script (image_deploy_<hostname>.sh)
+setterm -bold on
+env
+setterm -bold off
+echo_color green black "$scriptdir/image_deploy_${mastername}.sh script will run on tty1 now"
+
+source $scriptdir/image_deploy_${mastername}.sh
+